## ThunarClipboardManager ThunarClipboardManager |

## Functions

ThunarClipboardManager * | thunar_clipboard_manager_get_for_display ()
gboolean | thunar_clipboard_manager_get_can_paste ()
gboolean | thunar_clipboard_manager_has_cutted_file ()
void | thunar_clipboard_manager_copy_files ()
void | thunar_clipboard_manager_cut_files ()
void | thunar_clipboard_manager_paste_files ()

## Properties

gboolean | can-paste | Read

## Signals

void | changed | Run First

## Object Hierarchy

        GObject
        ╰── ThunarClipboardManager

## Description

## Functions

### thunar_clipboard_manager_get_for_display ()

    ThunarClipboardManager *
    thunar_clipboard_manager_get_for_display
                                   (GdkDisplay *display);

Determines the ThunarClipboardManager that is used to manage the clipboard on the given `display` .

The caller is responsible for freeing the returned object using `g_object_unref()` when it's no longer needed.

#### Parameters

display | a GdkDisplay. |

#### Returns

the ThunarClipboardManager for `display` .

### thunar_clipboard_manager_get_can_paste ()

    gboolean
    thunar_clipboard_manager_get_can_paste
                                   (ThunarClipboardManager *manager);

Tells whether the contents of the clipboard represented by `manager` can be pasted into a folder.

#### Parameters

manager | a ThunarClipboardManager. |

#### Returns

`TRUE` if the contents of the clipboard represented by `manager` can be pasted into a folder.

### thunar_clipboard_manager_has_cutted_file ()

    gboolean
    thunar_clipboard_manager_has_cutted_file
                                   (ThunarClipboardManager *manager,
                                    const ThunarFile *file);

Checks whether `file` was cutted to the given `manager` earlier.

#### Parameters

manager | a ThunarClipboardManager. |
file | a ThunarFile. |

#### Returns

`TRUE` if `file` is on the cutted list of `manager` .

### thunar_clipboard_manager_copy_files ()

    void
    thunar_clipboard_manager_copy_files (ThunarClipboardManager *manager,
                                         GList *files);

Sets the clipboard represented by `manager` to contain the `files` and marks them to be copied when the user pastes from the clipboard.

#### Parameters

manager | a ThunarClipboardManager. |
files | a list of ThunarFiles. |

### thunar_clipboard_manager_cut_files ()

    void
    thunar_clipboard_manager_cut_files (ThunarClipboardManager *manager,
                                        GList *files);

Sets the clipboard represented by `manager` to contain the `files` and marks them to be moved when the user pastes from the clipboard.

#### Parameters

manager | a ThunarClipboardManager. |
files | a list of ThunarFiles. |

### thunar_clipboard_manager_paste_files ()

    void
    thunar_clipboard_manager_paste_files (ThunarClipboardManager *manager,
                                          GFile *target_file,
                                          GtkWidget *widget,
                                          GClosure *new_files_closure);

Pastes the contents from the clipboard associated with `manager` to the directory referenced by `target_file` .

#### Parameters

manager | a ThunarClipboardManager. |
target_file | the GFile of the folder to which the contents on the clipboard should be pasted. |
widget | a GtkWidget, on which to perform the paste or `NULL` if no widget is known. |
new_files_closure | a GClosure to connect to the job's "new-files" signal, which will be emitted when the job finishes with the list of GFiles created by the job, or `NULL` if you're not interested in the signal. |

## Property Details

### The `“can-paste”` property

      “can-paste”                gboolean

This property tells whether the current clipboard content of this ThunarClipboardManager can be pasted into a folder displayed by a ThunarView.

Owner: ThunarClipboardManager

Flags: Read

Default value: FALSE

## Signal Details

### The `“changed”` signal

    void
    user_function (ThunarClipboardManager *manager,
                   gpointer                user_data)

This signal is emitted whenever the contents of the clipboard associated with `manager` changes.

#### Parameters

manager | a ThunarClipboardManager. |
user_data | user data set when the signal handler was connected. |

Flags: Run First